Create a new legal matter and provision its primary vault.
curl --request POST \
--url https://api.case.dev/matters/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"display_id": "<string>",
"description": "<string>",
"status": "intake",
"matter_type": "<string>",
"practice_area": "<string>",
"subtype": "<string>",
"client_party_id": "<string>",
"client_name": "<string>",
"responsible_attorney_id": "<string>",
"jurisdiction": {},
"important_dates": {},
"billing": {},
"metadata": {},
"custom_fields": {},
"vault": {
"description": "<string>",
"enableGraph": true,
"enableIndexing": true,
"metadata": {}
}
}
'API key starting with sk_case_
intake, open, pending, closed, archived Show child attributes
Matter created
Was this page helpful?
curl --request POST \
--url https://api.case.dev/matters/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"display_id": "<string>",
"description": "<string>",
"status": "intake",
"matter_type": "<string>",
"practice_area": "<string>",
"subtype": "<string>",
"client_party_id": "<string>",
"client_name": "<string>",
"responsible_attorney_id": "<string>",
"jurisdiction": {},
"important_dates": {},
"billing": {},
"metadata": {},
"custom_fields": {},
"vault": {
"description": "<string>",
"enableGraph": true,
"enableIndexing": true,
"metadata": {}
}
}
'